<?php
require_once("include.php");
header('Content-Type: text/xml; charset=utf-8');
  $base_url=get_base_url();
echo '<?xml version="1.0" encoding="utf-8"?>';?>
<!DOCTYPE rss [<!ENTITY % HTMLlat1 PUBLIC "-//W3C//ENTITIES Latin 1 for XHTML//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml-lat1.ent">]>
<rss version="2.0" xml:base="">
<channel>
<title><?php echo htmlentities(site_title()); ?></title>
<description><?php echo htmlentities(site_description()); ?></description>
<link><?php echo $base_url; ?></link>
<pubDate><?php echo date('r', time());?></pubDate>
<generator>Blog Torrent 0.1</generator>
<?
$torrents = $store->getTorrentList();
foreach ($torrents as $torrentfile)
{
	$torrent = $store->getTorrent($torrentfile);
	if (isset($torrent["info"]["files"])) {
		$file_length = 0;
		foreach ($torrent["info"]["files"] as $file) {
			$file_length += $file["length"];
		}
	} else {
		$file_length = $torrent['info']['length'];
	}
	$file = $torrent['sha1'];
	$stats = $store->getStat($file);
	$filedate = $store->getTorrentDate($torrentfile);

	if (is_array($stats)) { ?>
<item>
<title><?php echo htmlentities($torrentfile);?></title>
<link><?php echo $base_url."btdownload.php?file=".urlencode($torrentfile); ?></link>
<guid isPermaLink="false"><?php echo $file; ?></guid>
<description><?php echo htmlentities("Filename: $torrentfile <br />\nUploaders: ".number_format($stats['complete'])."<br />\nDownloaders: ".number_format($stats['incomplete'])."<br />\nSize: ".number_format($file_length/1000000,2)."MB"); ?></description>
<enclosure url="<?php echo $base_url."btdownload.php?type=torrent&amp;file=".urlencode($torrentfile); ?>" length="<?php echo filesize('torrents/'.$torrentfile); ?>" type="application/x-bittorrent" />
<pubDate><?php echo date('r', $filedate); ?></pubDate>
</item>
<?php
	}
}
?>
</channel>
</rss>
